The bindings-sc3 package

[Tags:gpl, library]

DEPRECATED. This library is looking for a new maintainer.

This library provides low level bindings to the SuperCollider synthesis engine library (libscsynth). If you are looking for a higher level Haskell interface, please use the hsc3-process package (http://hackage.haskell.org/package/hsc3-process).

ChangeLog: https://github.com/kaoskorobase/bindings-sc3/blob/master/ChangeLog.md

In order to use this package, you need to build the dynamic library version of SuperCollider supercollider.sourceforge.net by passing -DLIBSCSYNTH=ON to cmake and put it in a location where it can be found by the linker (e.g. usrlocal/lib on Unix systems, alternatively use the --extra-lib-dirs flag of cabal configure).

The required SuperCollider version is 3.5.


[Skip to Readme]

Properties

Versions 0.0.0, 0.3.0, 0.4.1
Dependencies base (>=3 && <5), bindings-DSL (==1.0.*) [details]
License GPL
Copyright Copyright (c) Stefan Kersten 2010-2012
Author Stefan Kersten <sk@k-hornz.de>
Maintainer Stefan Kersten <sk@k-hornz.de>
Stability experimental
Category FFI, Sound
Home page https://github.com/kaoskorobase/bindings-sc3/
Bug tracker https://github.com/kaoskorobase/bindings-sc3/issues/
Source repository head: git clone git://github.com/kaoskorobase/bindings-sc3.git
Uploaded Tue Nov 6 14:38:12 UTC 2012 by StefanKersten
Distributions NixOS:0.4.1
Downloads 762 total (8 in the last 30 days)
Votes
0 []
Status Docs available [build log]
Successful builds reported [all 3 reports]

Modules

[Index]

Downloads

Maintainer's Corner

For package maintainers and hackage trustees

Readme for bindings-sc3

Readme for bindings-sc3-0.4.1

bindings-sc3 is a Haskell library that provides low-level bindings to the SuperCollider synthesis engine library libscsynth.

Installation

Currently, bindings-sc3 requires SuperCollider to be built from source (at least revision 12838871d99ff72cfa047aa07e1a53ba2b1c8f5b). See the SuperCollider development page for information on how to get the sources from the git repository and build SuperCollider (you need to pass -DLIBSCSYNTH=ON to cmake in order to build the shared library).

MacOS X

Assuming the environment variable SC points to the SuperCollider source tree, the bindings can then be installed as follows:

DYLD_LIBRARY_PATH=$SC/server/scsynth \
    cabal install --extra-include-dirs=$SC/include/common \
                  --extra-include-dirs=$SC/include/plugin_interface \
                  --extra-include-dirs=$SC/include/server \
                  --extra-lib-dirs=$SC/server/scsynth/

Reporting bugs

Please report bugs in our issue tracker.

Development

bindings-sc3's source code is hosted at github. You can check out a copy of the repository with the following command:

git://github.com/kaoskorobase/bindings-sc3.git